package com.iamberry.wechat.core.entity.bindingApp;

import java.util.Date;

import com.iamberry.wechat.core.entity.PageBean;

/**
 * description 绑定机器码的实体类
 * @author 欧阳明
 * @date：2016-6-12
 */
public class BindingMac implements java.io.Serializable{

	/**
	 * 
	 */
	private static final long serialVersionUID = 9127785683533623943L;
	private int id;
	private String macId;
	private String openid;
	private int drpId;
	private Date createDate;    //创建时间 首次绑定时间
	private Date updateDate;    //更新时间 绑定时间
	
	private PageBean page = new PageBean();
	
	public int getId() {
		return id;
	}
	public void setId(int id) {
		this.id = id;
	}
	public String getMacId() {
		return macId;
	}
	public void setMacId(String macId) {
		this.macId = macId;
	}
	public String getOpenid() {
		return openid;
	}
	public void setOpenid(String openid) {
		this.openid = openid;
	}
	public int getDrpId() {
		return drpId;
	}
	public void setDrpId(int drpId) {
		this.drpId = drpId;
	}
	public Date getCreateDate() {
		return createDate;
	}
	public void setCreateDate(Date createDate) {
		this.createDate = createDate;
	}
	public Date getUpdateDate() {
		return updateDate;
	}
	public void setUpdateDate(Date updateDate) {
		this.updateDate = updateDate;
	}
	public PageBean getPage() {
		return page;
	}
	public void setPage(PageBean page) {
		this.page = page;
	}
	@Override
	public String toString() {
		return "BindingMac [id=" + id + ", macId=" + macId + ", openid="
				+ openid + ", drpId=" + drpId + ", createDate=" + createDate
				+ ", updateDate=" + updateDate + ", page=" + page + "]";
	}
	
}
